As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 652154 - On SM builds on windows, |make check-jstests| fails with a MemoryError
: On SM builds on windows, |make check-jstests| fails with a MemoryError
Status: RESOLVED FIXED
[fixed-in-tracemonkey]
:
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: unspecified
: x86 Mac OS X
: -- normal (vote)
: ---
Assigned To: Tom Schuster [:evilpie]
:
: Jason Orendorff [:jorendorff]
Mentors:
Depends on:
Blocks: 652408
  Show dependency treegraph
 
Reported: 2011-04-22 10:22 PDT by Paul Biggar
Modified: 2011-05-10 15:15 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
More sane path reversal (441 bytes, patch)
2011-05-04 07:05 PDT, Tom Schuster [:evilpie]
paul.biggar: review+
Details | Diff | Splinter Review

Description User image Paul Biggar 2011-04-22 10:22:59 PDT
This is probably an error in the test harness.

Log: http://tinderbox.mozilla.org/showlog.cgi?tree=TraceMonkey&errorparser=unittest&logfile=1303482839.1303485372.32239.gz&buildtime=1303482839&buildname=tracemonkey_win32-debug_spidermonkey-nomethodjit&fulltext=1#err0

RC=0; \
	for f in `echo ",m,j,mj,mjp,am,amj,amjp,amd" | tr ',' '\n'`; \
		do \
			 d:/mozilla-build/python25/python2.5.exe -u ../../src/js/src/tests/jstests.py \
				--tinderbox --no-progress \
				--no-extensions \
				--timeout 300 \
				--args="`echo $f | sed 's/\(.\)/ -\1/g'`" \
				/e/builds/moz2_slave/tm-w32-dbg-spidermonkey-nomethodjit/objdir/dist/bin/js.exe; \
			RC=$(( $RC || $?)); \
		done; \
	exit $RC
Traceback (most recent call last):
  File "../../src/js/src/tests/jstests.py", line 301, in <module>
    xul_info = manifest.XULInfo.create(JS)
  File "e:\builds\moz2_slave\tm-w32-dbg-spidermonkey-nomethodjit\src\js\src\tests\manifest.py", line 42, in create
    dirs = split_path_into_dirs(os.getcwd()) + split_path_into_dirs(jsdir)
  File "e:\builds\moz2_slave\tm-w32-dbg-spidermonkey-nomethodjit\src\js\src\tests\manifest.py", line 15, in split_path_into_dirs
    dirs.append(path)
MemoryError
Comment 1 User image Jeff Walden [:Waldo] (remove +bmo to email) 2011-04-22 22:31:12 PDT
You need to do something to turn these not-orange again.  It's not cool leaving builds permanently orange like this.  Please fix this on Windows, temporarily disable whatever bit of functionality is going wrong on Windows until you can fix it, or back out the original change.
Comment 2 User image Paul Biggar 2011-04-23 13:17:29 PDT
This has been disabled.


(In reply to comment #1)
> It's not cool leaving
> builds permanently orange like this.

Sorry, I didn't intend to leave the builds orange. In my defense, the windows builds didn't turn orange for 500 minutes, which was 4am Saturday my time (partly due to being asked to delay pushing the fix until bug 652127 was fixed).
Comment 3 User image Tom Schuster [:evilpie] 2011-05-04 07:05:33 PDT
Created attachment 529991 [details] [diff] [review]
More sane path reversal
Comment 4 User image Paul Biggar 2011-05-04 07:15:17 PDT
Comment on attachment 529991 [details] [diff] [review]
More sane path reversal

Review of attachment 529991 [details] [diff] [review]:

Nice fix, thanks.
Comment 5 User image Tom Schuster [:evilpie] 2011-05-07 12:12:09 PDT
https://hg.mozilla.org/tracemonkey/rev/f9e703262482
Comment 6 User image Tom Schuster [:evilpie] 2011-05-07 15:14:40 PDT
Forgot to add a reportCompare to the end of the test, somehow didn't catch this locally. 
https://hg.mozilla.org/tracemonkey/rev/ec82b6f20c8f
Comment 7 User image Paul Biggar 2011-05-09 03:50:08 PDT
(In reply to comment #6)
> Forgot to add a reportCompare to the end of the test, somehow didn't catch
> this locally. 
> https://hg.mozilla.org/tracemonkey/rev/ec82b6f20c8f

Think you got the wrong bug here.
Comment 8 User image Chris Leary [:cdleary] (not checking bugmail) 2011-05-10 15:14:57 PDT
cdleary-bot mozilla-central merge info:
http://hg.mozilla.org/mozilla-central/rev/f9e703262482

Note You need to log in before you can comment on or make changes to this bug.